import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';

import { IpcService } from './service/ipc.service';

export const COMPONENTS = [];
export const SERVICES = [IpcService];

@NgModule({
  declarations: [...COMPONENTS],
  imports: [CommonModule, OddsCrawlerFrontendCommonModule],
  exports: [...COMPONENTS]
})
export class OddsCrawlerFrontendElectronProxyModule {
  public static forRoot(): ModuleWithProviders<
    OddsCrawlerFrontendElectronProxyRootModule
  > {
    return {
      ngModule: OddsCrawlerFrontendElectronProxyRootModule,
      providers: [...SERVICES]
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class OddsCrawlerFrontendElectronProxyRootModule {}
